//+------------------------------------------------------------------+
//|                                                  Square 9 v1.mq4 |
//|                                        Martingeil 2011, 03  |
//|                                                    fx.09@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Martingeil 2011, 03 "
#property link      "fx.09@mail.ru"

#property indicator_chart_window

int q;
datetime time1,time2,ny_time;
int init()
  {
  if(Digits==3||Digits==2) q=100;
  if(Digits==5||Digits==4) q=10000;

return(0);}

int deinit(){
ObjectDelete("Sq1");ObjectDelete("Sq2");ObjectDelete("Sq3");
ObjectDelete("Sq4");ObjectDelete("Sq5");ObjectDelete("Sq6");
ObjectDelete("Sq7");ObjectDelete("Sq8");ObjectDelete("Sq9");
ObjectDelete("Sq10");ObjectDelete("Sq11");ObjectDelete("Sq12");
ObjectDelete("Sq13");ObjectDelete("Sq14");ObjectDelete("Sq15");
ObjectDelete("Sq16");ObjectDelete("Sq17");ObjectDelete("Sq18");
return(0);}


int start()
  {
   int    counted_bars=IndicatorCounted();
   ny_time  = iTime(NULL,PERIOD_D1,0) + (0-Period()/60.0)*3600;
   time2 = ny_time + 24*3600+Period()*60 ;
   time1 = ny_time + Period()*60;
   double scuar1,scuar2,scuar3,scuar4,scuar5,scuar6,scuar7,scuar8,scuar9,scuar10,scuar11,scuar12
   ,scuar13,scuar14;
   double urov1,urov2,urov3,urov4,urov5,urov6,urov7,urov8,urov9,urov10,urov11,urov12
   ,urov13,urov14;
   double pric  = iOpen(Symbol(),PERIOD_D1,0); 
   int    cena  = pric*q;
 
   scuar1  = MathSqrt(cena)+0.125;    urov1    = NormalizeDouble(scuar1*scuar1/q,Digits);
   scuar2  = MathSqrt(cena)+0.25;     urov2    = NormalizeDouble(scuar2*scuar2/q,Digits);
   scuar3  = MathSqrt(cena)+0.333;    urov3    = NormalizeDouble(scuar3*scuar3/q,Digits);
   scuar4  = MathSqrt(cena)+0.50;     urov4    = NormalizeDouble(scuar4*scuar4/q,Digits);
   scuar5  = MathSqrt(cena)+0.666;    urov5    = NormalizeDouble(scuar5*scuar5/q,Digits);
   scuar6  = MathSqrt(cena)+0.75;     urov6    = NormalizeDouble(scuar6*scuar6/q,Digits);
   scuar7  = MathSqrt(cena)+1.0;      urov7    = NormalizeDouble(scuar7*scuar7/q,Digits);

   scuar8  = MathSqrt(cena)-0.125;    urov8    = NormalizeDouble(scuar8*scuar8/q,Digits);
   scuar9  = MathSqrt(cena)-0.25;     urov9    = NormalizeDouble(scuar9*scuar9/q,Digits);   
   scuar10 = MathSqrt(cena)-0.333;    urov10   = NormalizeDouble(scuar10*scuar10/q,Digits);
   scuar11 = MathSqrt(cena)-0.50;     urov11   = NormalizeDouble(scuar11*scuar11/q,Digits);
   scuar12 = MathSqrt(cena)-0.666;    urov12   = NormalizeDouble(scuar12*scuar12/q,Digits);   
   scuar13 = MathSqrt(cena)-0.75;     urov13   = NormalizeDouble(scuar13*scuar13/q,Digits);
   scuar14 = MathSqrt(cena)-1.0;      urov14   = NormalizeDouble(scuar14*scuar14/q,Digits);

      
   Comment(
   "\n  1 = ",DoubleToStr(urov1,Digits),"  2 = ",DoubleToStr(urov2,Digits),  
   "\n  3 = ",DoubleToStr(urov3,Digits),"  4 = ",DoubleToStr(urov4,Digits),  
   "\n  5 = ",DoubleToStr(urov5,Digits),"  6 = ",DoubleToStr(urov6,Digits),  
   "\n  7 = ",DoubleToStr(urov7,Digits),"  8 = ",DoubleToStr(urov8,Digits),  
   "\n  9 = ",DoubleToStr(urov9,Digits),"  10 = ",DoubleToStr(urov10,Digits),  
   "\n  11 = ",DoubleToStr(urov11,Digits),"  12 = ",DoubleToStr(urov12,Digits), 
   "\n  13 = ",DoubleToStr(urov13,Digits),"  14 = ",DoubleToStr(urov14,Digits)); 
      

   PlotLine("Tr1",urov1,urov1,Blue);    PlotLine("Tr2",urov2,urov2,Blue);    PlotLine("Tr3",urov3,urov3,Blue);
   PlotLine("Tr4",urov4,urov4,Blue);    PlotLine("Tr5",urov5,urov5,Blue);    PlotLine("Tr6",urov6,urov6,Blue);
   PlotLine("Tr7",urov7,urov7,Blue);    PlotLine("Tr8",urov8,urov8,Red);     PlotLine("Tr9",urov9,urov9,Red);        
   PlotLine("Tr10",urov10,urov10,Red);  PlotLine("Tr11",urov11,urov11,Red);  PlotLine("Tr12",urov12,urov12,Red);
   PlotLine("Tr13",urov13,urov13,Red);  PlotLine("Tr14",urov14,urov14,Red);     
   return(0);
  }
//---------------------------------------------------------------------------------
void PlotLine(string name,double value,double value1,double line_color)
{
   double valueN=NormalizeDouble(value,Digits);
   double valueN1=NormalizeDouble(value1,Digits);
   bool res = ObjectCreate(name,OBJ_TREND,0,time1,valueN,time2,valueN1);
   ObjectSet(name, OBJPROP_WIDTH, 1);
   ObjectSet(name, OBJPROP_STYLE, 0);
   ObjectSet(name, OBJPROP_RAY, false);
   ObjectSet(name, OBJPROP_BACK, true);
   ObjectSet(name, OBJPROP_COLOR, line_color);
} 
//---------------------------------------------------------------------------------    